DCMTK: FGImageDataType Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
FGImageDataType Class Reference

Class for managing Image Data Type Functional Group that identifies the data type characteristics of this frame. More...

Inheritance diagram for FGImageDataType:

## Public Member Functions
| FGImageDataType ()
| Constructor, creates empty Image Data Type functional group.
virtual | ~FGImageDataType ()
| Destructor, frees memory.
virtual FGBase * | clone () const
| Returns a deep copy of this object.
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Get potential shared type of this group, always returns DcmFGTypes::EFGS_BOTH.
virtual void | clearData ()
| Clear data.
virtual OFCondition | check () const
| Check whether current data of this functional group is valid.
virtual OFCondition | read (DcmItem &item)
| Read Image Data Type Sequence (this functional group) from given item.
virtual OFCondition | write (DcmItem &item)
| Write Image Data Type Sequence (this functional group) to given item.
virtual OFCondition | getDataType (OFString &value, const signed long pos=0)
| Get Data Type.
virtual OFCondition | getAliasedDataType (OFString &value, const signed long pos=0)
| Get Aliased Data Type.
virtual OFCondition | getZeroVelocityPixelValue (Sint32 &value, const unsigned long pos=0)
| Get Zero Velocity Pixel Value.
virtual OFCondition | setDataType (const OFString &value, const OFBool checkValue=OFTrue)
| Set Data Type.
virtual OFCondition | setAliasedDataType (const OFString &value, const OFBool checkValue=OFTrue)
| Set Aliased Data Type.
virtual OFCondition | setZeroVelocityPixelValueUS (const Uint16 value)
| Set Zero Velocity Pixel Value.
virtual OFCondition | setZeroVelocityPixelValueSS (const Sint16 value)
| Set Zero Velocity Pixel Value.
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type.
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group.
virtual | ~FGBase ()
| Virtual destructor.

## Private Attributes
DcmCodeString | m_DataType
| Data Type (CS, VM 1, Required type 1)
DcmCodeString | m_AliasedDataType
| Aliased Data Type (CS, VM 1, Required Type 1)
DcmUnsignedShort | m_ZeroVelocityPixelValueUS
| Zero Velocity Pixel Value (US or SS, VM , Required Type 1C)
DcmSignedShort | m_ZeroVelocityPixelValueSS
| Zero Velocity Pixel Value (US or SS, VM , Required Type 1C)

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number.
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key.
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key.

## Detailed Description

Class for managing Image Data Type Functional Group that identifies the data type characteristics of this frame.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGImageDataType::check | ( |  | ) | const
| virtual

Check whether current data of this functional group is valid.

Returns
  EC_Normal if data is valid, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase * FGImageDataType::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

References FGBase::FGBase().

## ◆ compare()

virtual int FGImageDataType::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

References FGBase::FGBase().

## ◆ getAliasedDataType()

virtual OFCondition FGImageDataType::getAliasedDataType | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Aliased Data Type.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getDataType()

virtual OFCondition FGImageDataType::getDataType | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Data Type.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGImageDataType::getSharedType | ( |  | ) | const
| inlinevirtual

Get potential shared type of this group, always returns DcmFGTypes::EFGS_BOTH.

Returns
  Always returns DcmFGTypes::EFGS_BOTH

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ getZeroVelocityPixelValue()

virtual OFCondition FGImageDataType::getZeroVelocityPixelValue | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Zero Velocity Pixel Value.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ read()

virtual OFCondition FGImageDataType::read | ( | DcmItem & | item | ) |
| virtual

Read Image Data Type Sequence (this functional group) from given item.

Parameters

  item | Item to read from

Returns
  EC_Normal if reading works, error otherwise

Implements FGBase.

## ◆ setAliasedDataType()

virtual OFCondition FGImageDataType::setAliasedDataType | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Aliased Data Type.

Parameters

  value | Permitted values: "YES" or "NO".
  checkValue | If enabled, the value is checked for conformance

Returns
  EC_Normal if value was set, error code otherwise

## ◆ setDataType()

virtual OFCondition FGImageDataType::setDataType | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Data Type.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setZeroVelocityPixelValueSS()

virtual OFCondition FGImageDataType::setZeroVelocityPixelValueSS | ( | const Sint16 | value | ) |
| virtual

Set Zero Velocity Pixel Value.

Only use if Zero Velocity Pixel Value is of VR SS, i.e. Pixel Representation = 1

Parameters

  value | Value to be set

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setZeroVelocityPixelValueUS()

virtual OFCondition FGImageDataType::setZeroVelocityPixelValueUS | ( | const Uint16 | value | ) |
| virtual

Set Zero Velocity Pixel Value.

Only use if Zero Velocity Pixel Value is of VR US, i.e. Pixel Representation = 0

Parameters

  value | Value to be set

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition FGImageDataType::write | ( | DcmItem & | item | ) |
| virtual

Write Image Data Type Sequence (this functional group) to given item.

Parameters

  item | Item to write to

Returns
  EC_Normal if writing works, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgimagedatatype.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2